import { AppService } from './app.service';
import { MailDto, MultiMailDto } from './dto/mail.dto';
export declare class AppController {
    private readonly appService;
    constructor(appService: AppService);
    sendInviteEmail(data: MailDto): Promise<{
        jobId: import("bull").JobId;
    }>;
    sendMultipleInviteEmails(data: MultiMailDto[]): Promise<{
        message: string;
    }>;
}
