import { MailerService } from '@nestjs-modules/mailer';
import { Job } from 'bull';
import { DoneCallback } from 'bull';
import { jobInterface } from './mail.interface';
export default function (job: Job, cb: DoneCallback): void;
export declare class EmailProcessor {
    private readonly mailService;
    constructor(mailService: MailerService);
    sendLoginEmail(job: Job<jobInterface>): Promise<void>;
}
