"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailProcessor = void 0;
const mailer_1 = require("@nestjs-modules/mailer");
const bull_1 = require("@nestjs/bull");
function default_1(job, cb) {
    console.log(`[${process.pid}] ${JSON.stringify(job.data)}`);
    cb(null, 'It works');
}
exports.default = default_1;
let EmailProcessor = class EmailProcessor {
    constructor(mailService) {
        this.mailService = mailService;
    }
    async sendLoginEmail(job) {
        const { data } = job;
        console.log("working on : ", data);
        const op = await this.mailService.sendMail({
            to: data.to,
            subject: data.subject,
            template: 'invitation',
            context: {
                name: data.name,
                link: data.link,
            },
        });
        console.log('mail sent', op.envelope);
    }
};
exports.EmailProcessor = EmailProcessor;
__decorate([
    (0, bull_1.Process)('invite'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], EmailProcessor.prototype, "sendLoginEmail", null);
exports.EmailProcessor = EmailProcessor = __decorate([
    (0, bull_1.Processor)('gmail'),
    __metadata("design:paramtypes", [mailer_1.MailerService])
], EmailProcessor);
//# sourceMappingURL=app.processor.js.map