import { Queue } from 'bull';
import { MailDto, MultiMailDto } from './dto/mail.dto';
export declare class AppService {
    private readonly emailQueue;
    constructor(emailQueue: Queue);
    sendInviteEmail(data: MailDto): Promise<{
        jobId: import("bull").JobId;
    }>;
    sendMultipleInviteEmails(data: MultiMailDto[]): Promise<{
        message: string;
    }>;
}
